HSPポータル
サイトマップ お問い合わせ


HSPTV!掲示板


未解決 解決 停止 削除要請

2013
0319
たこHSP3DishでAndroidのAPIレベルを下げるとビルドエラーになる2解決


たこ

リンク

2013/3/19(Tue) 20:41:36|NO.53077

AndroidのAPIレベルを10(2.3.3)→7(2.1)に変更するとビルドできなくて困っております。
それともAPIレベルは10以上しか対応されてないのでしょうか?

どなたかご教授お願いします。


以下エラーメッセージです。

-compile:
[javac] Compiling 4 source files to C:\android\tako\bin\classes
[javac] C:\android\tako\src\tv\hsp\HspActivity.java:3: シンボルを見つけられません。
[javac] シンボル: クラス NativeActivity
[javac] 場所 : android.app の パッケージ
[javac] import android.app.NativeActivity;
[javac] ^
[javac] C:\android\tako\src\tv\hsp\HspActivity.java:40: シンボルを見つけられません。
[javac] シンボル: クラス NativeActivity
[javac] public class HspActivity extends NativeActivity {
[javac] ^
[javac] C:\android\tako\src\tv\hsp\HspActivity.java:52: シンボルを見つけられません。
[javac] シンボル: メソッド getApplicationContext()
[javac] 場所 : tv.hsp.HspActivity の クラス
[javac] File f=this.getApplicationContext().getFilesDir();
[javac] ^
[javac] C:\android\tako\src\tv\hsp\HspActivity.java:58: シンボルを見つけられません。
[javac] シンボル: 変数 VIBRATOR_SERVICE
[javac] 場所 : tv.hsp.HspActivity の クラス
[javac] Vibrator vibrator = (Vibrator)getSystemService(VIBRATOR_SERVICE);
[javac] ^
[javac] C:\android\tako\src\tv\hsp\HspActivity.java:64: シンボルを見つけられません。
[javac] シンボル: コンストラクタ Builder(tv.hsp.HspActivity)
[javac] 場所 : android.app.AlertDialog.Builder の クラス
[javac] AlertDialog.Builder alert = new AlertDialog.Builder(this);
[javac] ^
[javac] C:\android\tako\src\tv\hsp\HspActivity.java:77: シンボルを見つけられません。
[javac] シンボル: メソッド startActivity(android.content.Intent)
[javac] 場所 : tv.hsp.HspActivity の クラス
[javac] startActivity(i);
[javac] ^
[javac] C:\android\tako\src\tv\hsp\HspActivity.java:84: シンボルを見つけられません。
[javac] シンボル: メソッド startActivity(android.content.Intent)
[javac] 場所 : tv.hsp.HspActivity の クラス
[javac] startActivity(intent);
[javac] ^
[javac] エラー 7 個

BUILD FAILED
C:\android\sdk\tools\ant\build.xml:710: The following error occurred while executing this line:
C:\android\sdk\tools\ant\build.xml:723: Compile failed; see the compiler error output for details.

Total time: 2 seconds



この記事に返信する


inovia

リンク

2013/3/19(Tue) 23:43:22|NO.53082

HSPDishで使われている NativeActivity が使えるのは
Android OS 2.3、API Level 9 からのようです。
ですので、API Level 7 にすると動かないのでしょう。

http://wlog.flatlib.jp/item/1493



たこ

リンク

2013/3/20(Wed) 11:04:50|NO.53092

なるほど。諦めてAPIレベル10でやっていきたいと思います。
ありがとうございました。



ONION software Copyright 1997-2018(c) All rights reserved.